Users

Get user information

Returns the authenticated user's account details, including

GET /api/v3/users/me Try It

Get user information

cURL
curl --request GET \
  --url https://api.handwritingocr.com/v3/users/me \
  --header 'Authorization: Bearer your-api-token'
200 application/json
{
  "id": "rjq89y8DRY",
  "name": "Test User",
  "email": "tester@email.com",
  "verified": true,
  "type": "medium-monthly",
  "balance": 11020,
  "token": "1|GS8ouqzNOCbSEzXCiFlWEBve7PisNL4Yg33cfpoB6cde17b2",
  "updated_at": "2026-03-09T10:16:25.000000Z"
}

Returns the authenticated user’s account details, including core user fields (name, email, account tier) alongside the current credit balance.

Headers

  • Authorization string required header

    Bearer your-api-token

  • Accept string required header

    application/json

Response codes

HTTP status
  • 200

    Returns the authenticated user's account details.

  • 401

    Unauthorized — invalid or missing API token.